Guest
20 Feb 2018 18:10

Hello,

A few years ago, I bought Mighty membership and Mighty resources to build my old Joomla 1.5 website. These were great extensions.

My version of Mighty resources (1.4.6) needs PHP 5.2 and my version of Mighty membership (2.5.3.1) needs IonCube But my host stopped Ioncube for PHP 5.2

I can't really update extensions without breaking this old website.

I saw you were kindly proposing not-encrypted files for Mighty membership 2.5.8, so it doesn't need Ioncube anymore.

Would it be possible to get the same not-encrypted file for the previous version of Mighty membership 2.5.3.1 ?

It would allow me to keep my website working during the time I build the new one with Cobalt and Emerald.

Thank you very mush for your help!

Last Modified: 05 Mar 2021


pepperstreet VIP
Total posts: 3,832
21 Feb 2018 09:05

Hello, does your old Joomla 1.5 site and admin area still run?
Which is your lowest available PHP version?
If you can still make backups, do it first!
Can you still install updates? Then you should be able to update Resources and Membership. To my knowledge, they are all free and without license.


Guest
21 Feb 2018 10:31

Hello,

Thanks for your answer. The lowest PHP version is 5.3 but Mighty Resources 1.4.6 doesn't work (I saw a problem with a function named "goto" which is now forbidden). I can still get PHP 5.2 but Ioncube doens't work anymore and Mighty Membership needs it. The Joomla 1.5 website does run with PHP 5.3 and PHP 5.2 I could try to update Mighty Resources files from 1.4.6 to 1.5.9 but I don't know if it will keep current data and still works with the website. So the solution could be to replace the Mighty Membership 2.5.3.1 encrypted files by not-encrypted ones, so Ioncube won't bee needed anymore.


pepperstreet VIP
Total posts: 3,832
22 Feb 2018 07:53

Guest So the solution could be to replace the Mighty Membership 2.5.3.1 encrypted files by not-encrypted ones, so Ioncube won't bee needed anymore.

Do you have customizations or anything special? Why not backup everything and update to the latest Membership 2.5.8.x ?

As far as Resources is concerned, I don't recall exactly the differences between 1.4 and 1.5
It depends on your site setup and possible customizations.

Both components have an updater package in the downloads.


Guest
22 Feb 2018 08:21

Hello,

Thanks for your advises. I succeeded tu update Mighty Membership. I just had to make some modification to the Paypal plugin since the protocol has changed. So all is working now. I will also try to update Mighty Resources.


Sergey
Total posts: 13,744
04 Mar 2018 13:40

Guest Would it be possible to get the same not-encrypted file for the previous version of Mighty membership 2.5.3.1 ?

sad to say no. Unfortunately I do not save file history of those extensions.


williamnoah
Total posts: 1
18 Feb 2021 10:34

Are you looking for Joomla Development Company?


Guest
05 Mar 2021 19:46

I think I know guys whoi can help you. [Click here to link...

Replay Topic
Uploading
Click here to upload and insert file from you hard drive: (png, gif, jpg, jpeg, zip, txt, rar)
Powered by Cobalt